Index: main/trunk/greenstone2/runtime-src/src/oaiservr/abstractlistaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/abstractlistaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/abstractlistaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * abstractlistaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "abstractlistaction.h"
 #include "OIDtools.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/abstractlistaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/abstractlistaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/abstractlistaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * abstractlistaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #ifndef _ABSTRACTLISTACTION_H_
 #define _ABSTRACTLISTACTION_H_
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/dublincore.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/dublincore.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/dublincore.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * dublincore.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 
 #include "dublincore.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/dublincore.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/dublincore.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/dublincore.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * dublincore.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #ifndef _DUBLINCORE_H_
 #define _DUBLINCORE_H_
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/identifyaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/identifyaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/identifyaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * identifyaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "identifyaction.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/identifyaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/identifyaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/identifyaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * identifyaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaiaction.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/listidsaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/listidsaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/listidsaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * listidsaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "listidsaction.h"
 #include "recptprototools.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/listidsaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/listidsaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/listidsaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * listidsaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "abstractlistaction.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/listrecsaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/listrecsaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/listrecsaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * listrecsaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "listrecsaction.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/listrecsaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/listrecsaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/listrecsaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * listrecsaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "abstractlistaction.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/listsetsaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/listsetsaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/listsetsaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * listsetsaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "listsetsaction.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/listsetsaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/listsetsaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/listsetsaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * listsetsaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaiaction.h"
 #include "resumptiontoken.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/metaformat.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/metaformat.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/metaformat.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * metaformat.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include <fstream>
 #include "metaformat.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/metaformat.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/metaformat.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/metaformat.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * metaformat.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 /**
  *  A framework class for metadata formats.
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/metaformatsaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/metaformatsaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/metaformatsaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * metaformatsaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "metaformatsaction.h"
 #include "metaformat.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/metaformatsaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/metaformatsaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/metaformatsaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * metaformatsaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaiaction.h"
 #include "metaformat.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaiaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaiaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaiaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaiaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaiaction.h"
 #include "oaitools.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaiaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaiaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaiaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaiaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #ifndef _oaiaction_h_
 #define _oaiaction_h_
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaiargs.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaiargs.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaiargs.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaiargs.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaiargs.h"
 #include "cgiutils.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaiargs.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaiargs.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaiargs.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaiargs.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include <map>
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaiconfig.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaiconfig.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaiconfig.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaiconfig.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaiconfig.h"
 #include <iostream>
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaiconfig.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaiconfig.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaiconfig.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaiconfig.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #ifndef _OAICONFIG_H_
 #define _OAICONFIG_H_
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaidispatcher.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaidispatcher.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaidispatcher.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaidispatcher.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaidispatcher.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaidispatcher.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaidispatcher.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaidispatcher.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaidispatcher.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaiaction.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaimain.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaimain.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaimain.cpp	(revision 22739)
@@ -1,8 +1,7 @@
-#include "oaimain.h"
-
 /**********************************************************************
  *
- * oaimain.cpp -- 
- * Copyright (C) 1999  The New Zealand Digital Library Project
+ * oaimain.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
  *
  * A component of the Greenstone digital library software
@@ -26,4 +25,5 @@
  *********************************************************************/
 
+#include "oaimain.h"
 #include "gsdlconf.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaimain.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaimain.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaimain.h	(revision 22739)
@@ -1,1 +1,27 @@
+/**********************************************************************
+ *
+ * oaimain.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 // nothing
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaitools.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaitools.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaitools.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaitools.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "oaitools.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/oaitools.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/oaitools.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/oaitools.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * oaitools.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 
 #ifndef _OAITOOLS_H_
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/qualified_dublincore.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/qualified_dublincore.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/qualified_dublincore.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * qualified_dublincore.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 
 #include "qualified_dublincore.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/qualified_dublincore.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/qualified_dublincore.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/qualified_dublincore.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * qualified_dublincore.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "dublincore.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/recordaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/recordaction.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/recordaction.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * recordaction.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "recordaction.h"
 #include "recptprototools.h"
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/recordaction.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/recordaction.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/recordaction.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * recordaction.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #ifndef _RECORDACTION_H_
 #define _RECORDACTION_H_
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/resumptiontoken.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/resumptiontoken.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/resumptiontoken.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * resumptiontoken.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "resumptiontoken.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/resumptiontoken.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/resumptiontoken.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/resumptiontoken.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * resumptiontoken.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #ifndef _RESUMPTIONTOKEN_H_
 #define _RESUMPTIONTOKEN_H_
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/rfc1807.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/rfc1807.cpp	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/rfc1807.cpp	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * rfc1807.cpp --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "rfc1807.h"
 
Index: main/trunk/greenstone2/runtime-src/src/oaiservr/rfc1807.h
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/rfc1807.h	(revision 22738)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/rfc1807.h	(revision 22739)
@@ -1,2 +1,28 @@
+/**********************************************************************
+ *
+ * rfc1807.h --
+ *
+ * Copyright (C) 2004-2010  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
+
 #include "metaformat.h"
 
